## ros-melodic-visp-camera-calibration 0.13.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.0)
project(visp_camera_calibration)

find_package(catkin REQUIRED COMPONENTS
  camera_calibration_parsers
  geometry_msgs
  message_generation
  roscpp
  sensor_msgs
  std_msgs
  visp_bridge
)

find_package(VISP REQUIRED)

include_directories(SYSTEM
  ${BULLET_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
  ${VISP_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
  )

# Generate messages and services.
add_message_files(
  DIRECTORY
    msg
  FILES
    CalibPoint.msg
    CalibPointArray.msg
    ImageAndPoints.msg
    ImagePoint.msg
  )
add_service_files(
  DIRECTORY
    srv
  FILES
    calibrate.srv
  )
generate_messages(DEPENDENCIES geometry_msgs sensor_msgs std_msgs)

catkin_package(
  CATKIN_DEPENDS
    geometry_msgs
    message_runtime
    roscpp
    sensor_msgs
    std_msgs
  DEPENDS
    VISP
)

add_library(${PROJECT_NAME}_common src/names.cpp src/names.h)
target_link_libraries(${PROJECT_NAME}_common
  ${catkin_LIBRARIES}
  ${roscpp_LIBRARIES}
  )

add_executable(${PROJECT_NAME}_calibrator
  src/calibrator.cpp
  src/calibrator.h
  src/calibrator_main.cpp)
target_link_libraries(${PROJECT_NAME}_calibrator
  ${PROJECT_NAME}_common
  ${catkin_LIBRARIES}
  ${roscpp_LIBRARIES}
  ${VISP_LIBRARIES})
add_dependencies(${PROJECT_NAME}_calibrator
  ${catkin_EXPORTED_TARGETS} ${PROJECT_NAME}_gencpp)

add_executable(${PROJECT_NAME}_image_processing
  src/image_processing.cpp
  src/image_processing.h
  src/image_processing_main.cpp)
target_link_libraries(${PROJECT_NAME}_image_processing
  ${PROJECT_NAME}_common
  ${catkin_LIBRARIES}
  ${roscpp_LIBRARIES}
  ${VISP_LIBRARIES}
  )
add_dependencies(${PROJECT_NAME}_image_processing
  ${catkin_EXPORTED_TARGETS}
  ${PROJECT_NAME}_gencpp
  ${VISP_LIBRARIES})

add_executable(${PROJECT_NAME}_camera
  src/camera.cpp
  src/camera.h
  src/camera_main.cpp)
target_link_libraries(${PROJECT_NAME}_camera
  ${PROJECT_NAME}_common
  ${catkin_LIBRARIES}
  ${roscpp_LIBRARIES}
  ${VISP_LIBRARIES})
add_dependencies(${PROJECT_NAME}_camera
  ${catkin_EXPORTED_TARGETS} ${PROJECT_NAME}_gencpp)

install(
  TARGETS
    ${PROJECT_NAME}_calibrator
    ${PROJECT_NAME}_camera
    ${PROJECT_NAME}_common
    ${PROJECT_NAME}_image_processing
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

## ros-melodic-visp-camera-calibration 0.11.1

=== debian/changelog ===
ros-melodic-visp-camera-calibration (0.11.1-1stretch) stretch; urgency=high



 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Wed, 03 Jul 2019 22:00:00 -0000

ros-melodic-visp-camera-calibration (0.11.0-1stretch) stretch; urgency=high

  * Update with Melodic
  * Fix memory leak
  * Introduce vpMbGenericTracker and visp3 headers in visp_auto_tracker
  * Introduce visp3 headers
  * Code indentation
  * Introduce vpMbGenericTracker
  * Introduce vpHandEyeCalibration class
  * Fix build for melodic (Closes #88)
  * Fix compilation on 17.04 by adding missing boost/format.hpp inclusion
  * Contributors: Fabien Spindler

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Sun, 26 May 2019 22:00:00 -0000

ros-melodic-visp-camera-calibration (0.10.0-1stretch) stretch; urgency=high

  * Fix catkin_lint warnings level 2
  * kinetic-0.9.3
  * Prepare changelogs
  * Contributors: Fabien Spindler

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Thu, 09 Feb 2017 23:00:00 -0000

ros-melodic-visp-camera-calibration (0.9.3-1stretch) stretch; urgency=high

  * kinetic-0.9.2
  * Cleanify code
  * jade-0.9.1
  * Prepare changelogs
  * Contributors: Fabien Spindler

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Thu, 19 May 2016 22:00:00 -0000

ros-melodic-visp-camera-calibration (0.9.1-1stretch) stretch; urgency=high

  * Revert build_depend visp removal that is mandatory.
  * jade-0.9.0
  * Prepare changelogs
  * Contributors: Fabien Spindler

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Sun, 20 Dec 2015 23:00:00 -0000

ros-melodic-visp-camera-calibration (0.9.0-1stretch) stretch; urgency=high

  * Fix catkin_lint error and issues
  * Fix to build with ViSP 2.10.0 when VISP_BUILD_DEPRECATED=OFF
  * jade-0.8.0
  * Prepare changelogs
  * Contributors: Fabien Spindler

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Sat, 19 Dec 2015 23:00:00 -0000

ros-melodic-visp-camera-calibration (0.8.0-1stretch) stretch; urgency=high

  * Remove catkin_lint issues and warnings
  * Fix doc url location
  * Update and fix content of README files
  * Fix to allow calibration on images that are not 640x480
  * 0.7.3
  * Prepare changelogs
  * Prepare changelogs
  * Contributors: Fabien Spindler

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Tue, 31 Mar 2015 22:00:00 -0000

ros-melodic-visp-camera-calibration (0.7.3-1stretch) stretch; urgency=high

  * indigo-0.7.2
  * Prepare changelogs
  * Contributors: Fabien Spindler, Thomas Moulard

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Wed, 09 Apr 2014 22:00:00 -0000

ros-melodic-visp-camera-calibration (0.7.2-1stretch) stretch; urgency=high

  * Fix various dependency issues in the CMakeLists.txt and package.xml files
  * lipstick
    
    Aesthetic changes
  * Add missing dependency to ViSP
  * Fix errors detected with catkin_lint
  * Contributors: Fabien Spindler, Thomas Moulard

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Sun, 06 Apr 2014 22:00:00 -0000

ros-melodic-visp-camera-calibration (0.7.0-1stretch) stretch; urgency=high

  * Merge visp_camera_calibration as our subdirectory
  * Contributors: Thomas Moulard

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Tue, 11 Mar 2014 23:00:00 -0000

=== debian/control ===
Source: ros-melodic-visp-camera-calibration
Section: misc
Priority: extra
Maintainer: Fabien Spindler <Fabien.Spindler@inria.fr>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-camera-calibration-parsers, ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-visp, ros-melodic-visp-bridge
Homepage: http://wiki.ros.org/visp_camera_calibration
Standards-Version: 3.9.2

Package: ros-melodic-visp-camera-calibration
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-camera-calibration-parsers, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-message-runtime, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-visp, ros-melodic-visp-bridge
Description: visp_camera_calibration allows easy calibration of cameras using a customizable pattern and ViSP library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-visp-camera-calibration//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-visp-camera-calibration 0.13.0

=== debian/changelog ===
ros-melodic-visp-camera-calibration (0.13.0-1bionic) bionic; urgency=high



 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Sun, 20 Feb 2022 23:00:00 -0000

ros-melodic-visp-camera-calibration (0.12.0-1bionic) bionic; urgency=high



 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Wed, 10 Mar 2021 23:00:00 -0000

ros-melodic-visp-camera-calibration (0.11.1-1bionic) bionic; urgency=high



 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Wed, 03 Jul 2019 22:00:00 -0000

ros-melodic-visp-camera-calibration (0.11.0-1bionic) bionic; urgency=high

  * Update with Melodic
  * Fix memory leak
  * Introduce vpMbGenericTracker and visp3 headers in visp_auto_tracker
  * Introduce visp3 headers
  * Code indentation
  * Introduce vpMbGenericTracker
  * Introduce vpHandEyeCalibration class
  * Fix build for melodic (Closes #88)
  * Fix compilation on 17.04 by adding missing boost/format.hpp inclusion
  * Contributors: Fabien Spindler

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Sun, 26 May 2019 22:00:00 -0000

ros-melodic-visp-camera-calibration (0.10.0-1bionic) bionic; urgency=high

  * Fix catkin_lint warnings level 2
  * kinetic-0.9.3
  * Prepare changelogs
  * Contributors: Fabien Spindler

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Thu, 09 Feb 2017 23:00:00 -0000

ros-melodic-visp-camera-calibration (0.9.3-1bionic) bionic; urgency=high

  * kinetic-0.9.2
  * Cleanify code
  * jade-0.9.1
  * Prepare changelogs
  * Contributors: Fabien Spindler

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Thu, 19 May 2016 22:00:00 -0000

ros-melodic-visp-camera-calibration (0.9.1-1bionic) bionic; urgency=high

  * Revert build_depend visp removal that is mandatory.
  * jade-0.9.0
  * Prepare changelogs
  * Contributors: Fabien Spindler

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Sun, 20 Dec 2015 23:00:00 -0000

ros-melodic-visp-camera-calibration (0.9.0-1bionic) bionic; urgency=high

  * Fix catkin_lint error and issues
  * Fix to build with ViSP 2.10.0 when VISP_BUILD_DEPRECATED=OFF
  * jade-0.8.0
  * Prepare changelogs
  * Contributors: Fabien Spindler

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Sat, 19 Dec 2015 23:00:00 -0000

ros-melodic-visp-camera-calibration (0.8.0-1bionic) bionic; urgency=high

  * Remove catkin_lint issues and warnings
  * Fix doc url location
  * Update and fix content of README files
  * Fix to allow calibration on images that are not 640x480
  * 0.7.3
  * Prepare changelogs
  * Prepare changelogs
  * Contributors: Fabien Spindler

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Tue, 31 Mar 2015 22:00:00 -0000

ros-melodic-visp-camera-calibration (0.7.3-1bionic) bionic; urgency=high

  * indigo-0.7.2
  * Prepare changelogs
  * Contributors: Fabien Spindler, Thomas Moulard

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Wed, 09 Apr 2014 22:00:00 -0000

ros-melodic-visp-camera-calibration (0.7.2-1bionic) bionic; urgency=high

  * Fix various dependency issues in the CMakeLists.txt and package.xml files
  * lipstick
    
    Aesthetic changes
  * Add missing dependency to ViSP
  * Fix errors detected with catkin_lint
  * Contributors: Fabien Spindler, Thomas Moulard

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Sun, 06 Apr 2014 22:00:00 -0000

ros-melodic-visp-camera-calibration (0.7.0-1bionic) bionic; urgency=high

  * Merge visp_camera_calibration as our subdirectory
  * Contributors: Thomas Moulard

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Tue, 11 Mar 2014 23:00:00 -0000

=== debian/control ===
Source: ros-melodic-visp-camera-calibration
Section: misc
Priority: optional
Maintainer: Fabien Spindler <Fabien.Spindler@inria.fr>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-camera-calibration-parsers, ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-visp, ros-melodic-visp-bridge
Homepage: http://wiki.ros.org/visp_camera_calibration
Standards-Version: 3.9.2

Package: ros-melodic-visp-camera-calibration
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-camera-calibration-parsers, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-message-runtime, ros-melodic-roscpp, ros-melodic-rqt-console, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-visp, ros-melodic-visp-bridge
Description: visp_camera_calibration allows easy calibration of cameras using a customizable pattern and ViSP library.
